- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.dataStores.completionSuggestions/import#body.aspect_1)

Imports `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/InlineSource#CompletionSuggestion`s for a DataStore.

### HTTP request

Choose an endpoint:
global us   
`POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:import`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent data store resource name for which to import customer autocomplete suggestions. Follows pattern `projects/*/locations/*/collections/*/dataStores/*` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "errorConfig": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/ImportErrorConfig`) }, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "inlineSource": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/InlineSource`) }, "gcsSource": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/GcsSource`) }, "bigquerySource": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/BigQuerySource`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `errorConfig` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/ImportErrorConfig`)`` The desired location of errors incurred during the Import. |
| The source of the autocomplete suggestions. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `inlineSource` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/InlineSource`)`` The Inline source for suggestion entries. |
| `gcsSource` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/GcsSource`)`` Cloud Storage location for the input content. |
| `bigquerySource` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/BigQuerySource`)`` BigQuery input source. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.assist.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.completionSuggestions.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).